at.chipkarte.client.fus.soap

## Class BIBDaten

- Object
- - at.chipkarte.client.fus.soap.BIBDaten

-     public class BIBDaten
      extends Object

  Dient der Ein- und Ausgabe der Formular spezifischen Daten für den Formulartyp BIB.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BIBDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBefunddatum()` Befunddatum.
    `String` | `getBehandlungsplan()` Behandlungsplan (inkl. verwendete Apparate).
    `String` | `getEingliederung()` Datum der Eingliederung.
    `String` | `getErfolgsannahme()` Erfolgsannahme.
    `String[]` | `getIndikationIB()` Indikation Interzeptive Behandlung.
    `String` | `getIotnBib()` IOTN BIB.
    `String[]` | `getLokalisationFehlbildung()` Lokalisation der Fehlbildung nach IOTN.
    `void` | `setBefunddatum(String befunddatum)`
    `void` | `setBehandlungsplan(String behandlungsplan)`
    `void` | `setEingliederung(String eingliederung)`
    `void` | `setErfolgsannahme(String erfolgsannahme)`
    `void` | `setIndikationIB(String[] indikationIB)`
    `void` | `setIotnBib(String iotnBib)`
    `void` | `setLokalisationFehlbildung(String[] lokalisationFehlbildung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BIBDaten

          public BIBDaten()

  - ### Method Detail

    - #### getIotnBib

          public String getIotnBib()

      IOTN BIB.
      Mögliche Werte siehe `IotnBibConstants`.
      Angabe: Muss.
      Returns:
        IotnBib.

    - #### setIotnBib

          public void setIotnBib(String iotnBib)

    - #### getLokalisationFehlbildung

          public String[] getLokalisationFehlbildung()

      Lokalisation der Fehlbildung nach IOTN. Siehe `LokalisationFehlbildungConstants`.
      Angabe: Kann.
      0 bis 52 Elemente.
      Returns:
        LokalisationFehlbildung.

    - #### setLokalisationFehlbildung

          public void setLokalisationFehlbildung(String[] lokalisationFehlbildung)

    - #### getIndikationIB

          public String[] getIndikationIB()

      Indikation Interzeptive Behandlung. Siehe `IndikationIBConstants`.
      Angabe: Muss.
      1 bis 13 Elemente.
      Returns:
        IndikationIB.

    - #### setIndikationIB

          public void setIndikationIB(String[] indikationIB)

    - #### getBehandlungsplan

          public String getBehandlungsplan()

      Behandlungsplan (inkl. verwendete Apparate).
      Angabe: Muss.
      Format: 500-stellig
      Returns:
        Behandlungsplan.

    - #### setBehandlungsplan

          public void setBehandlungsplan(String behandlungsplan)

    - #### getErfolgsannahme

          public String getErfolgsannahme()

      Erfolgsannahme.
      Angabe: Muss.
      Format: 500-stellig
      Returns:
        Erfolgsannahme.

    - #### setErfolgsannahme

          public void setErfolgsannahme(String erfolgsannahme)

    - #### getEingliederung

          public String getEingliederung()

      Datum der Eingliederung.
      Angabe: Kann.
      Format: TT.MM.JJJJ Wertebereich: Darf nicht vor dem 01.07.2015 liegen.
      Returns:
        Eingliederung.

    - #### setEingliederung

          public void setEingliederung(String eingliederung)

    - #### getBefunddatum

          public String getBefunddatum()

      Befunddatum.
      Angabe: Muss.
      Format: TT.MM.JJJJ Wertebereich: Darf nicht vor dem 01.07.2015 liegen.
      Returns:
        Befunddatum.

    - #### setBefunddatum

          public void setBefunddatum(String befunddatum)